Bug 969773 - Review Request: deltaspike - Portable CDI extensions
Review Request: deltaspike - Portable CDI extensions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2013-06-02 05:54 EDT by gil cattaneo
Modified: 2015-02-18 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 22:58:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-02 05:54:45 EDT
Spec URL: http://gil.fedorapeople.org/deltaspike.spec
SRPM URL: http://gil.fedorapeople.org/deltaspike-0.3-0.1.incubating.fc18.src.rpm
Description: 
DeltaSpike consist of a number of portable CDI extensions
that provide useful features for Java application developers.
Fedora Account System Username: gil

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5453589
Comment 3 Michael Simacek 2015-02-02 04:46:14 EST
Error: No Package found for mvn(org.apache.geronimo.specs:specs)
Error: No Package found for mvn(org.apache.maven.shared:maven-shared-components)
Comment 5 Michael Simacek 2015-02-16 10:56:04 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Missing BuildRequires: mvn(org.apache.geronimo.specs:geronimo-interceptor_1.1_spec)
- Suggestion: the dependency manipulation could be simplified by using %pom_change_dep -r
- Unowned directory (this might have alrady been fixed by recent xmvn update, but I cannot confirm as I cannot build it anymore)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/msimacek/reviews/review-deltaspike/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/deltaspike
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/deltaspike,
     /usr/share/maven-poms/deltaspike
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in deltaspike-
     core , deltaspike-cdictrl , deltaspike-modules , deltaspike-bean-
     validation-module , deltaspike-data-module , deltaspike-jpa-module ,
     deltaspike-jsf-module , deltaspike-partial-bean-module , deltaspike-
     scheduler-module , deltaspike-security-module , deltaspike-servlet-module
     , deltaspike-test-control-module , deltaspike-test-utils , deltaspike-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: deltaspike-1.2.1-1.fc22.noarch.rpm
          deltaspike-core-1.2.1-1.fc22.noarch.rpm
          deltaspike-cdictrl-1.2.1-1.fc22.noarch.rpm
          deltaspike-modules-1.2.1-1.fc22.noarch.rpm
          deltaspike-bean-validation-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-data-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-jpa-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-jsf-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-partial-bean-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-scheduler-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-security-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-servlet-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-test-control-module-1.2.1-1.fc22.noarch.rpm
          deltaspike-test-utils-1.2.1-1.fc22.noarch.rpm
          deltaspike-javadoc-1.2.1-1.fc22.noarch.rpm
          deltaspike-1.2.1-1.fc22.src.rpm
deltaspike-core.noarch: W: no-documentation
deltaspike-cdictrl.noarch: W: no-documentation
deltaspike-modules.noarch: W: no-documentation
deltaspike-bean-validation-module.noarch: W: no-documentation
deltaspike-jpa-module.noarch: W: no-documentation
deltaspike-jsf-module.noarch: W: no-documentation
deltaspike-partial-bean-module.noarch: W: no-documentation
deltaspike-scheduler-module.noarch: W: no-documentation
deltaspike-security-module.noarch: W: no-documentation
deltaspike-servlet-module.noarch: W: no-documentation
deltaspike-test-control-module.noarch: W: no-documentation
deltaspike-test-utils.noarch: W: no-documentation
16 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
deltaspike-data-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-jpa-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-partial-bean-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-partial-bean-module-impl)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-jpa-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

deltaspike-cdictrl (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(junit:junit)
    mvn(org.apache.deltaspike.test:test-utils)
    mvn(org.apache.tomcat:tomcat-servlet-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-test-utils (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven:maven-artifact)
    mvn(org.jboss.arquillian.container:arquillian-container-test-spi)
    mvn(org.jboss.shrinkwrap:shrinkwrap-api)

deltaspike-security-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.felix:maven-bundle-plugin)
    mvn(org.apache.maven.plugins:maven-antrun-plugin)
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.apache.maven.plugins:maven-release-plugin)
    mvn(org.apache:apache:pom:)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-partial-bean-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-servlet-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-modules (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike:parent-code:pom:)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-scheduler-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)
    mvn(org.quartz-scheduler:quartz)

deltaspike-bean-validation-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-test-control-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-core (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

deltaspike-jsf-module (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-security-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-security-module-impl)
    mvn(org.apache.tomcat:tomcat-servlet-api)
    mvn(org.jboss.spec.javax.faces:jboss-jsf-api_2.2_spec)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)



Provides
--------
deltaspike-data-module:
    deltaspike-data-module
    mvn(org.apache.deltaspike.modules:data-module-project:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-data-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-data-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-data-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-data-module-impl:pom:)
    osgi(org.apache.deltaspike.modules.deltaspike-data-module-api)
    osgi(org.apache.deltaspike.modules.deltaspike-data-module-impl)

deltaspike-jpa-module:
    deltaspike-jpa-module
    mvn(org.apache.deltaspike.modules:deltaspike-jpa-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-jpa-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-jpa-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-jpa-module-impl:pom:)
    mvn(org.apache.deltaspike.modules:jpa-module-project:pom:)
    osgi(org.apache.deltaspike.modules.deltaspike-jpa-module-api)
    osgi(org.apache.deltaspike.modules.deltaspike-jpa-module-impl)

deltaspike-javadoc:
    deltaspike-javadoc

deltaspike-cdictrl:
    deltaspike-cdictrl
    mvn(org.apache.deltaspike.cdictrl:cdictrl-project:pom:)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-api)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-api:pom:)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-owb)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-owb:pom:)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-servlet)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-servlet:pom:)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-weld)
    mvn(org.apache.deltaspike.cdictrl:deltaspike-cdictrl-weld:pom:)
    mvn(org.apache.deltaspike.test:deltaspike-cdictrl-tck)
    mvn(org.apache.deltaspike.test:deltaspike-cdictrl-tck:pom:)

deltaspike-test-utils:
    deltaspike-test-utils
    mvn(org.apache.deltaspike.test:test-utils)
    mvn(org.apache.deltaspike.test:test-utils:pom:)

deltaspike-security-module:
    deltaspike-security-module
    mvn(org.apache.deltaspike.modules:deltaspike-security-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-security-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-security-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-security-module-impl:pom:)
    mvn(org.apache.deltaspike.modules:security-module-project:pom:)

deltaspike:
    deltaspike
    mvn(org.apache.deltaspike:deltaspike-project:pom:)
    mvn(org.apache.deltaspike:parent-code:pom:)
    mvn(org.apache.deltaspike:parent:pom:)

deltaspike-partial-bean-module:
    deltaspike-partial-bean-module
    mvn(org.apache.deltaspike.modules:deltaspike-partial-bean-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-partial-bean-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-partial-bean-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-partial-bean-module-impl:pom:)
    mvn(org.apache.deltaspike.modules:partial-bean-module-project:pom:)
    osgi(org.apache.deltaspike.modules.deltaspike-partial-bean-module-api)
    osgi(org.apache.deltaspike.modules.deltaspike-partial-bean-module-impl)

deltaspike-servlet-module:
    deltaspike-servlet-module
    mvn(org.apache.deltaspike.modules:deltaspike-servlet-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-servlet-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-servlet-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-servlet-module-impl:pom:)
    mvn(org.apache.deltaspike.modules:servlet-module-project:pom:)

deltaspike-modules:
    deltaspike-modules
    mvn(org.apache.deltaspike.modules:modules-project:pom:)

deltaspike-scheduler-module:
    deltaspike-scheduler-module
    mvn(org.apache.deltaspike.modules:deltaspike-scheduler-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-scheduler-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-scheduler-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-scheduler-module-impl:pom:)
    mvn(org.apache.deltaspike.modules:scheduler-module-project:pom:)
    osgi(org.apache.deltaspike.modules.deltaspike-scheduler-module-api)
    osgi(org.apache.deltaspike.modules.deltaspike-scheduler-module-impl)

deltaspike-bean-validation-module:
    deltaspike-bean-validation-module
    mvn(org.apache.deltaspike.modules:bean-validation-module-project:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-bean-validation-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-bean-validation-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-bean-validation-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-bean-validation-module-impl:pom:)
    osgi(org.apache.deltaspike.modules.deltaspike-bean-validation-module-impl)

deltaspike-test-control-module:
    deltaspike-test-control-module
    mvn(org.apache.deltaspike.modules:deltaspike-test-control-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-test-control-module-api:pom:)
    mvn(org.apache.deltaspike.modules:test-control-module-project:pom:)
    osgi(org.apache.deltaspike.modules.deltaspike-test-control-module-api)

deltaspike-core:
    deltaspike-core
    mvn(org.apache.deltaspike.core:core-project:pom:)
    mvn(org.apache.deltaspike.core:deltaspike-core-api)
    mvn(org.apache.deltaspike.core:deltaspike-core-api:pom:)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl)
    mvn(org.apache.deltaspike.core:deltaspike-core-impl:pom:)
    osgi(org.apache.deltaspike.core.deltaspike-core-api)
    osgi(org.apache.deltaspike.core.deltaspike-core-impl)

deltaspike-jsf-module:
    deltaspike-jsf-module
    mvn(org.apache.deltaspike.modules:deltaspike-jsf-module-api)
    mvn(org.apache.deltaspike.modules:deltaspike-jsf-module-api:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-jsf-module-impl)
    mvn(org.apache.deltaspike.modules:deltaspike-jsf-module-impl-ee6)
    mvn(org.apache.deltaspike.modules:deltaspike-jsf-module-impl-ee6:pom:)
    mvn(org.apache.deltaspike.modules:deltaspike-jsf-module-impl:pom:)
    mvn(org.apache.deltaspike.modules:jsf-module-project:pom:)



Source checksums
----------------
https://github.com/apache/deltaspike/archive/deltaspike-project-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 5d821dd5eeb034b5ea962d60580cbbf3ba11f970ee5ffcd7325724d0b3f70cb2
  CHECKSUM(SHA256) upstream package : 5d821dd5eeb034b5ea962d60580cbbf3ba11f970ee5ffcd7325724d0b3f70cb2


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -n deltaspike
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


I was able to build it when I ran fedora-review, but it doesn't build now for me:
['xmvn', '--batch-mode', '--offline', '-Dmaven.test.skip=true', 'package', 'org.fedoraproject.xmvn:xmvn-mojo:install', 'org.apache.maven.plugins:maven-javadoc-plugin:aggregate', 'org.fedoraproject.xmvn:xmvn-mojo:builddep']
[INFO] Scanning for projects...
[ERROR] The build could not read 5 projects -> [Help 1]
[ERROR]   
[ERROR]   The project org.apache.deltaspike:parent:1.2.1 (/builddir/build/BUILD/deltaspike-deltaspike-project-1.2.1/parent/pom.xml) has 1 error
[ERROR]     Non-resolvable import POM: Cannot access Apache Repository (https://repository.apache.org/content/repositories/releases) in offline mode and the artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:1.0.0-beta-7 has not been downloaded from it before. @ org.jboss.arquillian:arquillian-bom:1.0.3.Final, /usr/share/maven-poms/arquillian-core/arquillian-bom.pom, line 214, column 25 -> [Help 2]
[ERROR]   
[ERROR]   The project org.apache.deltaspike.test:test-utils:1.2.1 (/builddir/build/BUILD/deltaspike-deltaspike-project-1.2.1/test-utils/pom.xml) has 1 error
[ERROR]     Non-resolvable import POM: Cannot access Apache Repository (https://repository.apache.org/content/repositories/releases) in offline mode and the artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:1.0.0-beta-7 has not been downloaded from it before. @ org.jboss.arquillian:arquillian-bom:1.0.3.Final, /usr/share/maven-poms/arquillian-core/arquillian-bom.pom, line 214, column 25 -> [Help 2]
[ERROR]   
[ERROR]   The project org.apache.deltaspike.core:core-project:1.2.1 (/builddir/build/BUILD/deltaspike-deltaspike-project-1.2.1/core/pom.xml) has 1 error
[ERROR]     Non-resolvable import POM: Cannot access Apache Repository (https://repository.apache.org/content/repositories/releases) in offline mode and the artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:1.0.0-beta-7 has not been downloaded from it before. @ org.jboss.arquillian:arquillian-bom:1.0.3.Final, /usr/share/maven-poms/arquillian-core/arquillian-bom.pom, line 214, column 25 -> [Help 2]
[ERROR]   
[ERROR]   The project org.apache.deltaspike.cdictrl:cdictrl-project:1.2.1 (/builddir/build/BUILD/deltaspike-deltaspike-project-1.2.1/cdictrl/pom.xml) has 1 error
[ERROR]     Non-resolvable import POM: Cannot access Apache Repository (https://repository.apache.org/content/repositories/releases) in offline mode and the artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:1.0.0-beta-7 has not been downloaded from it before. @ org.jboss.arquillian:arquillian-bom:1.0.3.Final, /usr/share/maven-poms/arquillian-core/arquillian-bom.pom, line 214, column 25 -> [Help 2]
[ERROR]   
[ERROR]   The project org.apache.deltaspike.modules:modules-project:1.2.1 (/builddir/build/BUILD/deltaspike-deltaspike-project-1.2.1/modules/pom.xml) has 1 error
[ERROR]     Non-resolvable import POM: Cannot access Apache Repository (https://repository.apache.org/content/repositories/releases) in offline mode and the artifact org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:1.0.0-beta-7 has not been downloaded from it before. @ org.jboss.arquillian:arquillian-bom:1.0.3.Final, /usr/share/maven-poms/arquillian-core/arquillian-bom.pom, line 214, column 25 -> [Help 2]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/UnresolvableModelException
error: Bad exit status from /var/tmp/rpm-tmp.SoWE06 (%build)
    Bad exit status from /var/tmp/rpm-tmp.SoWE06 (%build)

Possibly related https://bugzilla.redhat.com/show_bug.cgi?id=1193103
Comment 6 gil cattaneo 2015-02-16 12:54:12 EST
(In reply to Michael Simacek from comment #5)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Missing BuildRequires:
> mvn(org.apache.geronimo.specs:geronimo-interceptor_1.1_spec)

i use proper interceptor apis version 1.1, our geronimo-interceptor apis version is 3.0. then i use jboss-interceptors-api_1.1_spec

> - Suggestion: the dependency manipulation could be simplified by using
> %pom_change_dep -r

can't use this macro, now, used Fedora 20, is not available

> - Unowned directory (this might have alrady been fixed by recent xmvn
> update, but I cannot confirm as I cannot build it anymore)

/usr/share/java/deltaspike already owned
/usr/share/maven-poms/deltaspike this is a xmvn issues


> 
> I was able to build it when I ran fedora-review, but it doesn't build now
> for me:
> ['xmvn', '--batch-mode', '--offline', '-Dmaven.test.skip=true', 'package',
> 'org.fedoraproject.xmvn:xmvn-mojo:install',
> 'org.apache.maven.plugins:maven-javadoc-plugin:aggregate',
> 'org.fedoraproject.xmvn:xmvn-mojo:builddep']
> [INFO] Scanning for projects...
> [ERROR] The build could not read 5 projects -> [Help 1]
> [ERROR]   
> [ERROR]   The project org.apache.deltaspike:parent:1.2.1
> (/builddir/build/BUILD/deltaspike-deltaspike-project-1.2.1/parent/pom.xml)
> has 1 error
> [ERROR]     Non-resolvable import POM: Cannot access Apache Repository
> (https://repository.apache.org/content/repositories/releases) in offline
> mode and the artifact
> org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:1.0.0-beta-7 has
> not been downloaded from it before. @
> org.jboss.arquillian:arquillian-bom:1.0.3.Final,
> /usr/share/maven-poms/arquillian-core/arquillian-bom.pom, line 214, column
> 25 -> [Help 2]
> Possibly related https://bugzilla.redhat.com/show_bug.cgi?id=1193103

Spec URL: http://gil.fedorapeople.org/deltaspike.spec
SRPM URL: http://gil.fedorapeople.org/deltaspike-1.2.1-2.fc20.src.rpm

- resolve Non-resolvable import POM

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8953514
Comment 7 Michael Simacek 2015-02-16 15:51:46 EST
Looks ok now, APPROVED.
Comment 8 gil cattaneo 2015-02-16 17:33:28 EST
Thanks!

New Package SCM Request
=======================
Package Name: deltaspike
Short Description: Portable CDI extensions
Upstream URL: http://deltaspike.apache.org/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2015-02-17 08:50:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.